/*!
********************************************************************************
********************************************************************************
**
** \file        stdchar.h
**
** \version     $Id: stdchar.h 2579 2010-07-01 15:13:55Z rseng $
**
** \brief       Standard character type definitions.
**
** This file contains the standard character type definitions required
** to avoid MISRA warnings while using char.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2010 by Fujitsu Semiconductor Europe GmbH
**
********************************************************************************
********************************************************************************
*/
#ifndef __stdchar_h

    #define __stdchar_h

    typedef char char_t;

#endif
