/******************************************************************************
**
** \file      ./subsystems/fe/ce6353/src/dtt75404.h
**
** \brief     DTT75404 OFDM Tuner include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: dtt75404.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
/*-------- compilation control switches -----------------------------*/
#ifndef _DTT75404_H_
#define _DTT75404_H_

/*---------------------------------------------------------------------------*/
/* function prototypes                                                       */
/*---------------------------------------------------------------------------*/
int32_t dtt75404TuneToFrequency(uint8_t index, uint32_t frequency, uint32_t _bandwidth);
int32_t dtt75404Close(uint8_t index);


#endif /* _DTT75404_H_ */
