/******************************************************************************
**
** \file      ./subsystems/fe/ce6353/src/td1316.h
**
** \brief     Philips TD1316 OFDM Tuner include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: td1316.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
/*-------- compilation control switches -----------------------------*/
#ifndef _TD1316_H_
#define _TD1316_H_

int32_t td1316TuneToFrequency (uint8_t index, uint32_t frequency, uint32_t _bandwidth);
int32_t td1316Close(uint8_t index);

/*---------------------------------------------------------------------------*/
/* local functions                                                           */
/*---------------------------------------------------------------------------*/


#endif /* _TD1316_H_ */
