/****************************************************************************
* MONTAGE PROPRIETARY AND CONFIDENTIAL
* Montage Technology (Shanghai) Inc.
* All Rights Reserved
* --------------------------------------------------------------------------
*
* File:             mt_fe_i2c.h
*
* Current version:  1.10.00
*
* Description:      i2c function prototype for FE module.
*
* Log:  Description         Version         Date            Author
*       ---------------------------------------------------------------------
*       Create              1.00.00         2008.08.21      Rick
*       Modify              1.01.00         2008.10.13      Rick
*       Modify              1.10.00         2008.11.17      Rick
****************************************************************************/
#ifndef __MT_DEMOD_I2C_H__
#define __MT_DEMOD_I2C_H__


extern MT_FE_RET _mt_fe_dmd_set_reg(U8 reg_index, U8 data);
extern MT_FE_RET _mt_fe_dmd_get_reg(U8 reg_index, U8 *p_buf);
extern MT_FE_RET _mt_fe_tn_set_reg(U8 reg_index, U8 data);
extern MT_FE_RET _mt_fe_tn_get_reg(U8 reg_index, U8 *p_buf);
extern MT_FE_RET _mt_fe_tn_write(U8 *p_buf, U16 n_byte);
extern MT_FE_RET _mt_fe_write_fw(U8 reg_index, U8 *p_buf, U16 n_byte);


#endif /* __MT_DEMOD_I2C_H__ */


