/*!
*****************************************************************************
**
** \file        ./subsystems/paint/fontserver/engines/fbf/src/fontserver_engine_fbf.h
**
** \version     $Id: fontserver_engine_fbf.h 4109 2009-06-29 18:38:07Z rklose $
**
** \brief       Declarations for the FBF engine interface.
**
**              This file contains the declaration of the FBF engine API.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2007 - 2009 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef FONTSERVER_ENGINE_FBF_H
    #define FONTSERVER_ENGINE_FBF_H

    #include <stdint.h>
    #include <fapex/abst_error.h>
    #include <fontserver/fontserver_engine.h>

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************

    /*! \brief  Points to the interface of the actual instance of the FBF
    **          font engine.
    */
    extern const FONTSERVER_EngineT* FONTSERVER_ENGINE_FBF_INTERFACE_PTR;

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************
    #ifdef __cplusplus
    extern "C" {
    #endif

        // additional API functions here

    #ifdef __cplusplus
    }
    #endif
#endif
