#!/bin/sh

RM='/bin/rm'
CD=cd
MV=mv
MAKE=make
PWD=/bin/pwd

TOPDIR=`${PWD}`
INCDIR=${TOPDIR}/include
LIBDIR=${TOPDIR}/lib

#${RM} ${TOPDIR}/Makefile
${RM} ${TOPDIR}/audio/Makefile
${RM} ${TOPDIR}/audio/aal/Makefile
${RM} ${TOPDIR}/fe/Makefile
${RM} ${TOPDIR}/paint/Makefile
${RM} ${TOPDIR}/paint/draw/Makefile
${RM} ${TOPDIR}/paint/freetype2/Makefile
${RM} ${TOPDIR}/paint/osdhandler/Makefile
${RM} ${TOPDIR}/paint/jpeg/Makefile
${RM} ${TOPDIR}/paint/PNG/Makefile
${RM} ${TOPDIR}/video/Makefile
${RM} ${TOPDIR}/video/val/Makefile
${RM} ${TOPDIR}/sfal/Makefile

${RM} ${INCDIR}/freetype/ft2build.h
${RM} -rf  ${INCDIR}/freetype
${RM} ${INCDIR}/*/*.h

${RM} ${LIBDIR}/libfbf.a
${RM} ${LIBDIR}/libfbf.so
${RM} ${LIBDIR}/libftf.a
${RM} ${LIBDIR}/libftf.so
${RM} ${LIBDIR}/libsubtitle.a
${RM} ${LIBDIR}/libteletext.a
${RM} ${LIBDIR}/libdsf89000.a

${MV} ${TOPDIR}/paint/fbf/libfbf.so.0.1 ${TOPDIR}/paint/fbf/libfbf.so
${MV} ${TOPDIR}/paint/ftf/libftf.so.0.1 ${TOPDIR}/paint/ftf/libftf.so

