/*!
*****************************************************************************
**
** \file        ./applications/smartgo-hd/sys/inc/key_input.h
**
**              $Id: key_input.h 5866 2010-03-02 12:09:31Z jmorha $
**
** \brief       Key input module functions.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/
#ifndef _KEY_INPUT_H_
#define _KEY_INPUT_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*KEYIN_SPECIAL_HOTKEY_CALLBACK)(uint32_t keycode);
void KEYIN_RegisterSpecialHotkeyCallback(KEYIN_SPECIAL_HOTKEY_CALLBACK Cbf);

void TEST_TriggerCcir18TestPictureOutput(uint32_t keycode); // actually in 'app_ccir18.c'

int32_t       KEYIN_Init                    (void);
fbool_t       KEYIN_FrontPanelIsInitialised (void);

#ifdef __cplusplus
}
#endif

#endif /* _KEY_INPUT_H_ */

/******************************************************************************/
/* END OF FILE */

