/*!
*****************************************************************************
**
** \file        ./applications/smartgo-hd/sys/inc/ttxvbi.h
**
**              $Id: ttxvbi.h 5866 2010-03-02 12:09:31Z jmorha $
**
** \brief       Teletext VBI insertion.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef TTXVBI_H
#define TTXVBI_H

int32_t           TTXVBI_Open(int32_t *tsdId, int32_t *decId);
int32_t           TTXVBI_Start(uint32_t pid);
int32_t           TTXVBI_Close(void);
int32_t           TTXVBI_Stop(void);
void              TTXVBI_Init(void);

#endif
