################################################################################
#
# \attention  This program is provided as is. You can redistribute it and/or
# modify it. Fujitsu Semiconductor Limited accepts no responsibility or
# liability for any errors or omissions.
#
# Copyright (C) 2008-2010 Fujitsu Semiconductor Limited, All Rights Reserved.
#

#!/bin/sh

################################################################################
# defines
################################################################################

  CP='/bin/cp -p'
  LN=/bin/ln
  CD=cd

  TOPDIR=${PWD}
  INCDIR=${TOPDIR}/include

################################################################################
# set link symbols
################################################################################

  ${CP} ${TOPDIR}/Makefile_Linux ${TOPDIR}/Makefile
  ${CD} ${INCDIR}/fapex
  ${LN} -s ../abst_error.h
  ${LN} -s ../abst_lib.h
  ${LN} -s ../abst_libaudec.h
  ${LN} -s ../abst_libaudec_mpeg.h
  ${LN} -s ../abst_libaudec_ac3.h
  ${LN} -s ../abst_libaudec_heaac.h
  ${LN} -s ../abst_libaudec_ddpdcv.h
  ${LN} -s ../abst_libauout.h
  ${LN} -s ../abst_libclkpwr.h
  ${LN} -s ../abst_libfpc.h
  ${LN} -s ../abst_libgpio.h
  ${LN} -s ../abst_libhdmi.h
  ${LN} -s ../abst_libhdmicec.h
  ${LN} -s ../abst_libi2c.h
  ${LN} -s ../abst_libicc.h
  ${LN} -s ../abst_libir.h
  ${LN} -s ../abst_libtsd.h
  ${LN} -s ../abst_libttx.h
  ${LN} -s ../abst_libvidec.h
  ${LN} -s ../abst_libvienc.h
  ${LN} -s ../abst_libviout.h
  ${LN} -s ../abst_libvrflash.h
  ${LN} -s ../abst_libflash.h
  ${LN} -s ../abst_libboardifc.h
  ${LN} -s ../abst_types.h
