/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo/src/ttx.h
** 
** \version     $Id$
**
** \brief       providing terminal output functions for teletext VBI re-insertion.
**
** This file contains the declaration of the teletext driver API.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef TTXVBI_H
#define TTXVBI_H

int32_t  TTXVBI_Open(void);
int32_t  TTXVBI_Close(void);
int32_t  TTXVBI_Start(uint32_t pid);
int32_t  TTXVBI_Stop(void);

#endif
