/******************************************************************************
**
** \file      ./subsystems/fe/ce6353/src/ce6353.h
**
** \brief     CE6353 OFDM Demodulator include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: ce6353.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
#ifndef _CE6353_H_
#define _CE6353_H_

/* ------- public CE6353 API functions -------------------------------- */

int32_t CE6353_DTT75404_Detect     (uint32_t slotNum, feHandleT *h);
int32_t CE6353_DTT75404_IDTV_Detect(uint32_t slotNum, feHandleT *h);
int32_t CE6353_TD911_Detect        (uint32_t slotNum, feHandleT *h);
int32_t CE6353_TD1316_IDTV_Detect  (uint32_t slotNum, feHandleT *h);

#endif  /* _CE6353_H_ */



