/******************************************************************************
**
** \file      ./subsystems/fe/ce6353/src/td911.h
**
** \brief     NXP TD911 OFDM Tuner include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: td911.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
/*-------- compilation control switches -----------------------------*/
#ifndef _TD911_H_
#define _TD911_H_

int32_t td911TuneToFrequency (uint8_t index, uint32_t f, uint32_t _bandwidth);
int32_t td911Close(uint8_t index);

/* ------- register structure ---------------------------- */

/*---------------------------------------------------------------------------*/
/* local functions                                                           */
/*---------------------------------------------------------------------------*/

#endif /* _TD911_H_ */
