/******************************************************************************
**
** \file      m88ds3k.h
**
** \brief     CE6353 OFDM Demodulator include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: m88ds3k.h 2153 2010-06-09 12:23:22Z wlaris $
**
******************************************************************************/
#ifndef _M88DS3K_H_
#define _M88DS3K_H_


/* ------- public M88DS3K API functions -------------------------------- */
int32_t M88DS3K_Detect(uint8_t slotNum, feHandleT *h);
int32_t M88DS3K_TS2020_Detect(uint8_t slotNum, feHandleT *h);
int32_t M88DS3K_HE6306_Detect(uint8_t slotNum, feHandleT *h);


#endif  /* _M88DS3K_H_ */



