/****************************************************************************
* MONTAGE PROPRIETARY AND CONFIDENTIAL
* Montage Technology (Shanghai) Inc.
* All Rights Reserved
* --------------------------------------------------------------------------
*
* File:                mt_fe_dmd_ds3000_reg_tbl.h
*
* Current version:    2.06.00
*
* Description:        register table of ds3k
*
* Log:    Description            Version                Date            Author
*        ---------------------------------------------------------------------
*        Create                1.00.00                2008.08.21        Rick
*        Modify                1.01.00                2008.10.06        Rick
*        Modify                1.10.00                2008.11.17        Rick
*        Modify                1.10.01                2008.12.23        Rick
*        Modify                2.00.00                2009.03.18        Rick
*        Modify                2.01.00                2009.04.29        Rick
*        Modify                2.02.00                2009.07.28        Rick
*        Modify                 2.06.00                2009.09.07        Rick
****************************************************************************/


const U8 ds3k_reg_tbl_dvbs_def[][2] =
{
    {0x23, 0x05},
    {0x08, 0x03},
    {0x0c, 0x00},
    {0x21, 0x54},
    {0x25, 0x82},
    {0x27, 0x31},
    {0x30, 0x08},
    {0x31, 0x40},
    {0x32, 0x32},
    {0x33, 0x35},
    {0x35, 0xff},
    {0x3a, 0x00},
    {0x37, 0x10},
    {0x38, 0x10},
    {0x39, 0x02},
    {0x42, 0x60},
    {0x4a, 0x40},
    {0x4b, 0x04},
    {0x4d, 0x91},
    {0x5d, 0xc8},
    {0x50, 0x77},
    {0x51, 0x77},
    {0x52, 0x36},
    {0x53, 0x36},
    {0x56, 0x01},
    {0x63, 0x47},
    {0x64, 0x30},
    {0x65, 0x40},
    {0x68, 0x26},
    {0x69, 0x4c},
    {0x70, 0x20},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x40},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x60},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x80},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0xa0},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x1f},
    {0x76, 0x00},
    {0x77, 0xd1},
    {0x78, 0x0c},
    {0x79, 0x80},
    {0x7f, 0x04},
    {0x7c, 0x00},
    {0x80, 0x86},
    {0x81, 0xa6},
    {0x85, 0x04},
    {0xcd, 0xf4},
    {0x90, 0x33},
    {0xa0, 0x44},
    {0xc0, 0x18},
    {0xc3, 0x10},
    {0xc4, 0x08},
    {0xc5, 0x80},
    {0xc6, 0x80},
    {0xc7, 0x0a},
    {0xc8, 0x1a},
    {0xc9, 0x80},
    {0xfe, 0xb6},
    {0xe0, 0xf8},
    {0xe6, 0x8b},
    {0xd0, 0x40},
    {0xf8, 0x20},
    {0xfa, 0x0f},
    {0xad, 0x20},
    {0xae, 0x07},
    {0xb8, 0x00},
};


const U8 ds3k_reg_tbl_dvbs2_def[][2] =
{
    {0x23, 0x0f},
    {0x08, 0x07},
    {0x0c, 0x00},
    {0x21, 0x54},
    {0x25, 0x82},
    {0x27, 0x31},
    {0x30, 0x08},
    {0x31, 0x32},
    {0x32, 0x32},
    {0x33, 0x35},
    {0x35, 0xff},
    {0x3a, 0x00},
    {0x37, 0x10},
    {0x38, 0x10},
    {0x39, 0x02},
    {0x42, 0x60},
    {0x4a, 0x80},
    {0x4b, 0x04},
    {0x4d, 0x81},
    {0x5d, 0x88},
    {0x50, 0x36},
    {0x51, 0x36},
    {0x52, 0x36},
    {0x53, 0x36},
    {0x63, 0x60},
    {0x64, 0x10},
    {0x65, 0x10},
    {0x68, 0x04},
    {0x69, 0x29},
    {0x70, 0x20},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x40},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x60},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x80},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0xa0},
    {0x71, 0x70},
    {0x72, 0x04},
    {0x73, 0x00},
    {0x70, 0x1f},
    {0xa0, 0x44},
    {0xc0, 0x08},
    {0xc1, 0x10},
    {0xc2, 0x08},
    {0xc3, 0x10},
    {0xc4, 0x08},
    {0xc5, 0xf0},
    {0xc6, 0xf0},
    {0xc7, 0x0a},
    {0xc8, 0x1a},
    {0xc9, 0x80},
    {0xca, 0x23},
    {0xcb, 0x24},
    {0xce, 0x74},
    {0x56, 0x01},
    {0x90, 0x03},
    {0x76, 0x80},
    {0x77, 0x42},
    {0x78, 0x0a},
    {0x79, 0x80},
    {0xad, 0x40},
    {0xae, 0x07},
    {0x7f, 0xd4},
    {0x7c, 0x00},
    {0x80, 0xa8},
    {0x81, 0xda},
    {0x7c, 0x01},
    {0x80, 0xda},
    {0x81, 0xec},
    {0x7c, 0x02},
    {0x80, 0xca},
    {0x81, 0xeb},
    {0x7c, 0x03},
    {0x80, 0xba},
    {0x81, 0xdb},
    {0x85, 0x08},
    {0x86, 0x00},
    {0x87, 0x02},
    {0x89, 0x80},
    {0x8b, 0x44},
    {0x8c, 0xaa},
    {0x8a, 0x10},
    {0xba, 0x00},
    {0xf5, 0x04},
    {0xd2, 0x32},
    {0xb8, 0x00},
};


/*register setting for blind scan*/
const U8 ds3k_reg_tbl_dvbs_def_blindscan[][2] =
{
    {0x23, 0x05}, 
    {0x08, 0x03}, 
    {0x0c, 0x00}, 
    {0x21, 0x54}, 
    {0x25, 0x8a}, 
    {0x27, 0x31},
    {0x30, 0x08},
    {0x31, 0x40}, 
    {0x32, 0x32}, 
    {0x33, 0x35},
    {0x35, 0xff},
    {0x3a, 0x00}, 
    {0x37, 0x10}, 
    {0x38, 0x10}, 
    {0x39, 0x02}, 
    {0x42, 0x60}, 
    {0x4a, 0x40}, 
    {0x4b, 0x04}, 
    {0x4d, 0x91}, 
    {0x5d, 0xc8}, 
    {0x50, 0x77}, 
    {0x51, 0x77}, 
    {0x52, 0x36}, 
    {0x53, 0x36}, 
    {0x56, 0x01}, 
    {0x63, 0x47},
    {0x64, 0x30},
    {0x65, 0x40},
    {0x68, 0x26}, 
    {0x69, 0x4c}, 
    {0x70, 0x20}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x40}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x60}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x80}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0xa0}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x1f}, 
    {0x76, 0x00}, 
    {0x77, 0xd1}, 
    {0x78, 0x0c}, 
    {0x79, 0x80}, 
    {0x7f, 0x04}, 
    {0x7c, 0x00}, 
    {0x80, 0x86}, 
    {0x81, 0xa6}, 
    {0x85, 0x04},
    {0xcd, 0xf4}, 
    {0x90, 0x33}, 
    {0xa0, 0x44}, 
    {0xc0, 0x18}, 
    {0xc3, 0x10},
    {0xc4, 0x08},
    {0xc5, 0x80}, 
    {0xc6, 0x80},
    {0xc7, 0x10}, 
    {0xc8, 0x15},
    {0xc9, 0x80},
    {0xfe, 0xb6},
    {0xe0, 0xf8}, 
    {0xe6, 0x8b}, 
    {0xd0, 0x40}, 
    {0xf8, 0x20}, 
    {0xfa, 0x0f}, 
    {0xad, 0x20}, 
    {0xae, 0x07},
    {0xb8, 0x00},
};


const U8 ds3k_reg_tbl_dvbs2_def_blindscan[][2] =
{
    {0x23, 0x0f}, 
    {0x08, 0x07}, 
    {0x0c, 0x00}, 
    {0x21, 0x54}, 
    {0x25, 0x8a}, 
    {0x27, 0x31}, 
    {0x30, 0x08}, 
    {0x31, 0x32}, 
    {0x32, 0x32}, 
    {0x33, 0x35},
    {0x35, 0xff},
    {0x3a, 0x00}, 
    {0x37, 0x10}, 
    {0x38, 0x10}, 
    {0x39, 0x02}, 
    {0x42, 0x60}, 
    {0x4a, 0x80}, 
    {0x4b, 0x04}, 
    {0x4d, 0x81}, 
    {0x5d, 0x88}, 
    {0x50, 0x36}, 
    {0x51, 0x36}, 
    {0x52, 0x36}, 
    {0x53, 0x36}, 
    {0x63, 0x60}, 
    {0x64, 0x10}, 
    {0x65, 0x10}, 
    {0x68, 0x04}, 
    {0x69, 0x29}, 
    {0x70, 0x20}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x40}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x60}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x80}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0xa0}, 
    {0x71, 0x70}, 
    {0x72, 0x04}, 
    {0x73, 0x00}, 
    {0x70, 0x1f}, 
    {0xa0, 0x44}, 
    {0xc0, 0x08}, 
    {0xc1, 0x10}, 
    {0xc2, 0x08}, 
    {0xc3, 0x08}, 
    {0xc4, 0x08}, 
    {0xc5, 0xf0}, 
    {0xc6, 0xf0}, 
    {0xc7, 0x20}, 
    {0xc8, 0x10}, 
    {0xc9, 0x80}, 
    {0xca, 0x23}, 
    {0xcb, 0x24}, 
    {0xce, 0x74}, 
    {0x56, 0x01}, 
    {0x90, 0x03}, 
    {0x76, 0x80}, 
    {0x77, 0x42}, 
    {0x78, 0x0a}, 
    {0x79, 0x80}, 
    {0xad, 0x40}, 
    {0xae, 0x07}, 
    {0x7f, 0xd4}, 
    {0x7c, 0x00}, 
    {0x80, 0xa8}, 
    {0x81, 0xda}, 
    {0x7c, 0x01}, 
    {0x80, 0xda}, 
    {0x81, 0xec}, 
    {0x7c, 0x02}, 
    {0x80, 0xca}, 
    {0x81, 0xeb}, 
    {0x7c, 0x03}, 
    {0x80, 0xba}, 
    {0x81, 0xdb}, 
    {0x85, 0x08}, 
    {0x86, 0x00}, 
    {0x87, 0x02}, 
    {0x89, 0x80}, 
    {0x8b, 0x44}, 
    {0x8c, 0xaa}, 
    {0x8a, 0x10}, 
    {0xba, 0x00}, 
    {0xf5, 0x04}, 
    {0xd2, 0x32}, 
    {0xb8, 0x00},
};

