/******************************************************************************
**
** \file      ./subsystems/fe/mb86668/src/mb86668_fe_types.h
**
** \brief     Type declarations for IBK drivers.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86668_fe_types.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/

#ifndef _FD_MB86668_FE_Types_H_
#define _FD_MB86668_FE_Types_H_

typedef unsigned char FeBool;
typedef int32_t FeErr;

#define FeFalse 0
#define FeTrue  1
#define FeOk    0

#define BIT0   (0x01<<0)
#define BIT1   (0x01<<1)
#define BIT2   (0x01<<2)
#define BIT3   (0x01<<3)
#define BIT4   (0x01<<4)
#define BIT5   (0x01<<5)
#define BIT6   (0x01<<6)
#define BIT7   (0x01<<7)

#define BIT8   (0x0001<<8)
#define BIT9   (0x0001<<9)
#define BIT10  (0x0001<<10)
#define BIT11  (0x0001<<11)
#define BIT12  (0x0001<<12)
#define BIT13  (0x0001<<13)
#define BIT14  (0x0001<<14)
#define BIT15  (0x0001<<15 )

#endif // _FD_MB86668_FE_Types_H_
