/*!
********************************************************************************
********************************************************************************
**
** \file        ./subsystems/fs/fatfs/include/flashdrv.h
** 
** \version     $Id: flashdrv.h 1911 2009-02-02 10:17:47Z wlaris $
**
** \brief       FATFS driver API for serial/parallel FLASHes.
**
** This file contains the declaration of the FATFS driver API for FLASHes.
**
** \attention   THIS SAMPLE CODE IS PROVUSBD AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2009 by Fujitsu Semiconductor Europe GmbH
**
********************************************************************************
********************************************************************************
*/
#ifndef FATFS_FLASH_H
#define FATFS_FLASH_H

#include <stdio.h>
#include <fatfs/fatfs.h>

//******************************************************************************
//******************************************************************************
//** API Functions
//******************************************************************************
//******************************************************************************

#ifdef __cplusplus
extern "C" {
#endif

F_DRIVER* FLASH_Init( unsigned long volumeParamsAddr );

#ifdef __cplusplus
}
#endif

#endif /* FATFS_FLASH_H */
