/***********************************************************************
 * MODULE     : TT_Stdinc
 * FILE       : TT_Stdinc.h
 * COPYRIGHT  : TARA Systems GmbH
 * DESCRIPTION:
 *   header file
 ***********************************************************************/

#ifndef _TT_STDINC_H_
#define _TT_STDINC_H_

/***********************************************************************
 * SECTION: #include
 ***********************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef LEVEL_15
#define LEVEL_15
#endif

/* platform independant includes */

#include "teletext/TT_Global.h"
#include "teletext/TT_ACQ.h"
#include "teletext/TT_Database.h"
#include "teletext/TT_Charset.h"
#include "teletext/TT_Display.h"

#include "teletext/TT_TOP.h"
#include "teletext/TT_Core.h"
#include "teletext/TT_PacketBuffer.h"

#include "teletext/TT_AciDecoder.h"

#endif /* _TT_STDINC_H_ */

