#!/bin/sh

CP='/bin/cp -p'
LN=/bin/ln
CD=cd
LS='ls -l'

MAJVER=0
MINOR=1

TOPDIR=.
OPT=-f

if [ $# -eq 1 ]; then
	${CP} ${OPT} ${TOPDIR}/../abst_lib/libfapex_abst.so.${MAJVER}.${MINOR}                                                  $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/draw/libdraw.so.${MAJVER}.${MINOR}                                        $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fbf/libfbf.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/libfontserver.so.${MAJVER}.${MINOR}                            $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/engines/fbf/libfontserver_engine_fbf.so.${MAJVER}.${MINOR}     $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/fontserver/engines/freetype/libfontserver_engine_ft.so.${MAJVER}.${MINOR} $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/freetype2/libfreetype2.so.${MAJVER}.${MINOR}                              $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/ftf/libftf.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/paint/osdhandler/libosdhandler.so.${MAJVER}.${MINOR}                            $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/video/val/libval.so.${MAJVER}.${MINOR}                                          $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/fe/libfe.so.${MAJVER}.${MINOR}                                                  $1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/fs/flashfs/libflashfs.so.${MAJVER}.${MINOR}					$1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/audio/aal/libaal.so.${MAJVER}.${MINOR}		 				$1
	${CP} ${OPT} ${TOPDIR}/fapex_subsystems/sfal/libsfal.so.${MAJVER}.${MINOR}                                              $1
	${CD} $1
# set link
	${LN} -s ${OPT} libfapex_abst.so.${MAJVER}.${MINOR}            libfapex_abst.so.${MAJVER}
	${LN} -s ${OPT} libfapex_abst.so.${MAJVER}.${MINOR}            libfapex_abst.so
	${LN} -s ${OPT} libdraw.so.${MAJVER}.${MINOR}                  libdraw.so.${MAJVER}
	${LN} -s ${OPT} libdraw.so.${MAJVER}.${MINOR}                  libdraw.so
	${LN} -s ${OPT} libfbf.so.${MAJVER}.${MINOR}                   libfbf.so.${MAJVER}
	${LN} -s ${OPT} libfbf.so.${MAJVER}.${MINOR}                   libfbf.so
	${LN} -s ${OPT} libfontserver.so.${MAJVER}.${MINOR}            libfontserver.so.${MAJVER}
	${LN} -s ${OPT} libfontserver.so.${MAJVER}.${MINOR}            libfontserver.so
	${LN} -s ${OPT} libfontserver_engine_fbf.so.${MAJVER}.${MINOR} libfontserver_engine_fbf.so.${MAJVER}
	${LN} -s ${OPT} libfontserver_engine_fbf.so.${MAJVER}.${MINOR} libfontserver_engine_fbf.so
	${LN} -s ${OPT} libfontserver_engine_ft.so.${MAJVER}.${MINOR}  libfontserver_engine_ft.so.${MAJVER}
	${LN} -s ${OPT} libfontserver_engine_ft.so.${MAJVER}.${MINOR}  libfontserver_engine_ft.so
	${LN} -s ${OPT} libfreetype2.so.${MAJVER}.${MINOR}             libfreetype2.so.${MAJVER}
	${LN} -s ${OPT} libfreetype2.so.${MAJVER}.${MINOR}             libfreetype2.so
	${LN} -s ${OPT} libftf.so.${MAJVER}.${MINOR}                   libftf.so.${MAJVER}
	${LN} -s ${OPT} libftf.so.${MAJVER}.${MINOR}                   libftf.so
	${LN} -s ${OPT} libosdhandler.so.${MAJVER}.${MINOR}            libosdhandler.so.${MAJVER}
	${LN} -s ${OPT} libosdhandler.so.${MAJVER}.${MINOR}            libosdhandler.so
	${LN} -s ${OPT} libval.so.${MAJVER}.${MINOR}                   libval.so.${MAJVER}
	${LN} -s ${OPT} libval.so.${MAJVER}.${MINOR}                   libval.so
	${LN} -s ${OPT} libfe.so.${MAJVER}.${MINOR}                    libfe.so
	${LN} -s ${OPT} libflashfs.so.${MAJVER}.${MINOR}		libflashfs.so
        ${LN} -s ${OPT} libflashfs.so.${MAJVER}.${MINOR}    		libflashfs.so.${MAJVER}
        ${LN} -s ${OPT} libaal.so.${MAJVER}.${MINOR}    		libaal.so
        ${LN} -s ${OPT} libaal.so.${MAJVER}.${MINOR}    		libaal.so.${MAJVER}
	${LN} -s ${OPT} libsfal.so.${MAJVER}.${MINOR}                   libsfal.so
        ${LN} -s ${OPT} libsfal.so.${MAJVER}.${MINOR}                   libsfal.so.${MAJVER}
	${LS} libfapex_abst.* libdraw.* libfbf.* libfontserver* libfreetype2.* libftf.* libosdhandler.* libval.* libfe.*
else
	echo "esage : $0 <directory_name>"
	echo ""
fi

