/*!
*****************************************************************************
**
** \file        ./applications/smartgo-hd/fgs/inc/fgs_config.h
**
**              $Id: fgs_config.h 5866 2010-03-02 12:09:31Z jmorha $ 
**
** \brief       content description.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/
#ifndef _FGS_CONFIG_H_
#define _FGS_CONFIG_H_

/*---------------------------------------------------------------------------*/
/* constants and macros                                                      */
/*---------------------------------------------------------------------------*/

#define FGS_MEMBERS_MAX              16  //!< max. number of top-level members

#define FGS_PANEL_MEMBERS_MAX        50  //!< Max. number of panel members

#define FGS_LIST_MEMBERS_MAX         25  //!< Max. number of list members

#define FGS_ITEM_CHAR_MAX_CHARS      24  // includes termination

#define FGS_ITEM_NUM_DIGITS_MAX      10  

#define FGS_LNAVI_COL_MAX            10 //!< max. number of columns per line

#define FGS_TBOX_LINES_MAX           8   //!< max. number of lines

#define FGS_TBOX_MAX_CHAR_PER_LINE   64  //!< max. num of characters per line


#endif /* _FGS_CONFIG_H_ */
/******************************************************************************/
/* END OF FILE */
