/*!
*****************************************************************************
**
** \file        ./applications/smartgo-hd/sys/inc/event_queue.h
**
**              $Id: event_queue.h 5866 2010-03-02 12:09:31Z jmorha $
**
** \brief       Internal event management functions.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/
#ifndef _EVENT_QUEUE_H_
#define _EVENT_QUEUE_H_

#include "sys_api.h"

#ifdef __cplusplus
extern "C" {
#endif

int32_t         EVT_Init (void);
int32_t         EVT_Get  (void* pEvent, fbool_t suspend);

#ifdef __cplusplus
}
#endif

#endif /* _EVENT_QUEUE_H_ */

/******************************************************************************/
/* END OF FILE */
