/*!
*****************************************************************************
**
** \file        ./applications/smartgo-hd/sys/inc/rectimer.h
**
**              $Id: rectimer.h 5866 2010-03-02 12:09:31Z jmorha $
**
** \brief       
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2006-2010 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/
#ifndef _RECTIMER_H_
#define _RECTIMER_H_

/*---------------------------------------------------------------------------*/
/* constants and macros                                                      */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* types, enums and structures                                               */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* function prototypes                                                       */
/*---------------------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

void    RECTIMER_Invalidate      (void);
int32_t RECTIMER_Init            (void);
void    RECTIMER_EnterStandby    (void);
int32_t RECTIMER_Clear           (void);

#ifdef __cplusplus
}
#endif

#endif /* _RECTIMER_H_ */

/******************************************************************************/
/* END OF FILE */
